Page MenuHomePhabricator

Upgrade mediawiki-phan-config to 0.8.0 for all repos
Closed, ResolvedPublic

Description

I've just released the 0.8.0 version of phan. It has roughly the same features as 0.7.1, but it brings in the three important changes:

  • phan/phan upgraded from 2.2.11 to 2.2.13 - fixes a lot of false positives for hooks and references
  • It now requires PHP 7.2 in composer.json
  • It also requires phan/phan, so that you don't have to install it manually (when testing locally), and we don't have to require it in our CI by looking at the "extra" field.

LibraryUpgrader's views of which repos have which version

TODO: Update docs on mw.org; specifically, remove install instructions (composer install will install phan automatically)

Details

ProjectBranchLines +/-Subject
mediawiki/extensions/CentralNoticewmf_deploy+18 -9
mediawiki/extensions/CentralNoticemaster+18 -9
mediawiki/extensions/CirrusSearchmaster+39 -11
mediawiki/extensions/Scribuntomaster+4 -6
mediawiki/extensions/Echomaster+24 -16
mediawiki/extensions/Flowmaster+39 -8
mediawiki/extensions/LiquidThreadsmaster+19 -17
mediawiki/extensions/UploadWizardmaster+8 -8
mediawiki/extensions/CentralAuthmaster+8 -20
mediawiki/extensions/MobileFrontendmaster+2 -1
mediawiki/extensions/WikibaseQualityConstraintsmaster+10 -4
mediawiki/extensions/wikihieromaster+4 -4
mediawiki/extensions/Sofamaster+1 -1
mediawiki/extensions/SoftRedirectormaster+1 -1
mediawiki/extensions/OAuth2master+1 -1
mediawiki/extensions/QuickSurveysmaster+1 -1
mediawiki/extensions/WikibaseLexememaster+11 -11
mediawiki/extensions/WikibaseCirrusSearchmaster+5 -3
mediawiki/extensions/MachineVisionmaster+4 -1
mediawiki/extensions/WebAuthnmaster+1 -1
mediawiki/extensions/Elasticamaster+2 -1
mediawiki/extensions/TemplateStylesmaster+2 -2
mediawiki/extensions/StopForumSpammaster+2 -1
mediawiki/extensions/QuizGamemaster+3 -2
mediawiki/extensions/ReplaceTextmaster+3 -11
mediawiki/extensions/Variablesmaster+1 -1
mediawiki/extensions/NukeDPLmaster+1 -1
mediawiki/extensions/MiniInvitemaster+1 -1
mediawiki/extensions/CentralLoggingmaster+1 -1
mediawiki/extensions/Draftsmaster+1 -1
mediawiki/extensions/WikiSEOmaster+1 -1
mediawiki/extensions/EntitySchemamaster+1 -6
mediawiki/extensions/WikibaseMediaInfomaster+3 -3
mediawiki/extensions/SendGridmaster+1 -1
mediawiki/extensions/GeoDatamaster+5 -5
mediawiki/extensions/ParserMigrationmaster+1 -1
mediawiki/extensions/SocialProfilemaster+1 -1
mediawiki/extensions/SparkPostmaster+1 -1
mediawiki/extensions/SpamDiffToolmaster+1 -1
mediawiki/extensions/PropertySuggestermaster+2 -2
mediawiki/extensions/WikibaseLexemeCirrusSearchmaster+3 -3
mediawiki/skins/Refreshedmaster+2 -1
mediawiki/skins/GreyStuffmaster+3 -1
mediawiki/skins/Splashmaster+1 -1
mediawiki/skins/Maskmaster+1 -1
mediawiki/skins/Examplemaster+1 -1
mediawiki/skins/Anisamaster+1 -1
mediawiki/extensions/CiteThisPagemaster+1 -1
mediawiki/extensions/GWToolsetmaster+2 -19
mediawiki/extensions/cldrmaster+9 -1
mediawiki/extensions/SecurePollmaster+6 -6
mediawiki/extensions/timelinemaster+1 -1
mediawiki/extensions/intersectionmaster+1 -1
mediawiki/extensions/TheWikipediaLibrarymaster+1 -1
mediawiki/extensions/CheckUsermaster+7 -5
mediawiki/extensions/WikimediaBadgesmaster+1 -1
mediawiki/extensions/WikimediaEventsmaster+1 -1
mediawiki/extensions/WikidataPageBannermaster+1 -1
mediawiki/extensions/TimedMediaHandlermaster+22 -21
mediawiki/extensions/XAnalyticsmaster+2 -1
mediawiki/extensions/WikimediaIncubatormaster+2 -2
mediawiki/extensions/WikiEditormaster+4 -2
mediawiki/extensions/WikimediaMessagesmaster+1 -1
mediawiki/extensions/Wikidata.orgmaster+1 -1
mediawiki/extensions/WikimediaEditorTasksmaster+1 -1
mediawiki/extensions/GrowthExperimentsmaster+7 -8
mediawiki/extensions/VipsScalermaster+1 -1
mediawiki/extensions/WikiLovemaster+1 -1
mediawiki/extensions/UserMergemaster+1 -3
mediawiki/extensions/UrlShortenermaster+1 -1
mediawiki/extensions/Thanksmaster+2 -1
mediawiki/extensions/EventLoggingmaster+4 -2
mediawiki/extensions/UploadsLinkmaster+1 -1
mediawiki/extensions/TranslationNotificationsmaster+1 -1
mediawiki/extensions/TrustedXFFmaster+1 -1
mediawiki/extensions/TitleBlacklistmaster+1 -1
mediawiki/extensions/TemplateDatamaster+1 -1
mediawiki/extensions/ThrottleOverridemaster+1 -1
mediawiki/extensions/TorBlockmaster+2 -2
mediawiki/extensions/TocTreemaster+1 -1
mediawiki/extensions/TextExtractsmaster+1 -1
mediawiki/extensions/TemplateWizardmaster+1 -1
mediawiki/extensions/TemplateSandboxmaster+1 -1
mediawiki/extensions/GlobalCssJsmaster+3 -1
mediawiki/extensions/GlobalPreferencesmaster+2 -1
mediawiki/extensions/Collectionmaster+6 -1
mediawiki/extensions/PageViewInfomaster+13 -1
mediawiki/extensions/GlobalUsagemaster+2 -1
mediawiki/extensions/SyntaxHighlight_GeSHimaster+1 -1
mediawiki/extensions/SpamBlacklistmaster+7 -7
mediawiki/extensions/Mathmaster+6 -2
mediawiki/extensions/SubpageSortkeymaster+1 -1
mediawiki/extensions/ContributionTrackingmaster+1 -1
mediawiki/extensions/SiteMatrixmaster+1 -1
mediawiki/extensions/SkinPerPagemaster+1 -1
mediawiki/extensions/SubPageList3master+1 -1
mediawiki/extensions/PageImagesmaster+3 -2
mediawiki/extensions/MapSourcesmaster+1 -2
mediawiki/extensions/ShortUrlmaster+1 -1
mediawiki/extensions/ProofreadPagemaster+2 -5
mediawiki/extensions/OpenStackManagermaster+7 -3
mediawiki/extensions/LdapAuthenticationmaster+8 -2
mediawiki/extensions/SecureLinkFixermaster+1 -1
mediawiki/extensions/PagedTiffHandlermaster+6 -1
mediawiki/extensions/Scoremaster+1 -1
mediawiki/extensions/Sentrymaster+1 -1
mediawiki/extensions/RSSmaster+1 -1
mediawiki/extensions/SearchExtraNSmaster+1 -1
mediawiki/extensions/Renameusermaster+3 -2
mediawiki/extensions/RelatedArticlesmaster+1 -1
mediawiki/extensions/SandboxLinkmaster+1 -1
mediawiki/extensions/PdfHandlermaster+1 -2
mediawiki/extensions/ParsoidBatchAPImaster+2 -2
mediawiki/extensions/Poemmaster+1 -1
mediawiki/extensions/Popupsmaster+1 -1
mediawiki/extensions/ParserFunctionsmaster+1 -1
mediawiki/extensions/OAuthmaster+7 -2
mediawiki/extensions/Quizmaster+1 -2
mediawiki/extensions/MobileAppmaster+1 -1
mediawiki/extensions/PageTriagemaster+1 -1
mediawiki/extensions/PoolCountermaster+1 -1
mediawiki/extensions/PerformanceInspectormaster+1 -1
mediawiki/extensions/PageAssessmentsmaster+1 -1
mediawiki/extensions/FileImportermaster+8 -2
mediawiki/extensions/Kartographermaster+2 -5
mediawiki/extensions/Interwikimaster+2 -4
mediawiki/extensions/NewUserMessagemaster+2 -2
mediawiki/extensions/Nukemaster+1 -1
mediawiki/extensions/Newslettermaster+1 -1
mediawiki/extensions/NavigationTimingmaster+1 -1
mediawiki/extensions/OATHAuthmaster+1 -1
mediawiki/extensions/ORESmaster+2 -2
mediawiki/skins/MinervaNeuemaster+1 -1
mediawiki/extensions/MultimediaViewermaster+1 -1
mediawiki/extensions/LoginNotifymaster+1 -1
mediawiki/extensions/InterwikiSortingmaster+2 -1
mediawiki/extensions/LocalisationUpdatemaster+2 -2
mediawiki/extensions/InputBoxmaster+1 -1
mediawiki/extensions/ImageMapmaster+1 -1
mediawiki/extensions/Jademaster+1 -1
mediawiki/extensions/Listingsmaster+1 -1
mediawiki/extensions/LandingCheckmaster+1 -1
mediawiki/extensions/LabeledSectionTransclusionmaster+1 -1
mediawiki/extensions/Josamaster+1 -1
mediawiki/extensions/Insidermaster+1 -1
mediawiki/extensions/EventBusmaster+1 -18
mediawiki/extensions/Graphmaster+3 -3
mediawiki/extensions/Gadgetsmaster+2 -2
mediawiki/skins/Timelessmaster+7 -6
mediawiki/extensions/GlobalUserPagemaster+1 -1
mediawiki/extensions/GoogleNewsSitemapmaster+1 -1
mediawiki/extensions/GuidedTourmaster+1 -1
mediawiki/extensions/ExtensionDistributormaster+4 -2
mediawiki/extensions/CommonsMetadatamaster+4 -4
mediawiki/extensions/FeaturedFeedsmaster+2 -2
mediawiki/extensions/GlobalBlockingmaster+3 -3
mediawiki/extensions/GeoCrumbsmaster+1 -1
mediawiki/extensions/FileExportermaster+1 -1
mediawiki/extensions/FundraiserLandingPagemaster+1 -1
mediawiki/extensions/FundraisingTranslateWorkflowmaster+1 -1
mediawiki/extensions/FlaggedRevsmaster+24 -16
mediawiki/extensions/ExternalGuidancemaster+1 -1
mediawiki/extensions/ContentTranslationmaster+1 -1
mediawiki/extensions/AntiSpoofmaster+1 -1
mediawiki/extensions/ConfirmEditmaster+1 -1
mediawiki/extensions/EUCopyrightCampaignmaster+1 -1
mediawiki/extensions/ElectronPdfServicemaster+1 -1
mediawiki/extensions/DynamicSidebarmaster+1 -1
mediawiki/extensions/DoubleWikimaster+1 -1
mediawiki/extensions/DismissableSiteNoticemaster+1 -1
mediawiki/extensions/CreditsSourcemaster+1 -1
mediawiki/extensions/Cognatemaster+1 -1
mediawiki/extensions/Dashikimaster+1 -1
mediawiki/extensions/Disambiguatormaster+1 -1
mediawiki/extensions/ContactPagemaster+1 -1
mediawiki/extensions/CongressLookupmaster+1 -1
mediawiki/extensions/UniversalLanguageSelectormaster+1 -1
mediawiki/extensions/GettingStartedmaster+9 -6
mediawiki/extensions/Translatemaster+74 -18
mediawiki/extensions/ReadingListsmaster+3 -2
mediawiki/skins/Vectormaster+1 -1
mediawiki/skins/Nostalgiamaster+2 -2
mediawiki/skins/EUCopyrightCampaignSkinmaster+1 -1
mediawiki/skins/Modernmaster+1 -1
mediawiki/skins/CologneBluemaster+3 -2
mediawiki/extensions/JsonConfigmaster+1 -1
mediawiki/extensions/CollaborationKitmaster+9 -3
mediawiki/extensions/CodeMirrormaster+1 -1
mediawiki/extensions/CleanChangesmaster+1 -1
mediawiki/extensions/CodeEditormaster+1 -1
mediawiki/extensions/Capiuntomaster+1 -1
mediawiki/extensions/Citoidmaster+1 -1
mediawiki/extensions/CharInsertmaster+1 -1
mediawiki/extensions/Campaignsmaster+1 -1
mediawiki/extensions/Calendarmaster+1 -1
mediawiki/extensions/Citemaster+1 -1
mediawiki/extensions/BounceHandlermaster+1 -1
mediawiki/extensions/ArticlePlaceholdermaster+1 -1
mediawiki/extensions/Babelmaster+1 -1
mediawiki/extensions/AdvancedSearchmaster+1 -1
mediawiki/extensions/ArticleCreationWorkflowmaster+1 -1
mediawiki/extensions/ApiFeatureUsagemaster+1 -1
mediawiki/extensions/ActiveAbstractmaster+1 -1
mediawiki/extensions/3Dmaster+1 -1
mediawiki/extensions/BetaFeaturesmaster+1 -1
mediawiki/extensions/CategoryTreemaster+2 -2
labs/libraryupgrader/configmaster+3 -0
mediawiki/coremaster+4 -9
labs/libraryupgrader/configmaster+1 -1
mediawiki/extensions/AbuseFiltermaster+26 -24
integration/configmaster+16 -4
Show related patches Customize query in gerrit

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 549152 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/WikibaseMediaInfo@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549152

Change 549153 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/WikibaseQualityConstraints@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549153

Change 549135 merged by jenkins-bot:
[mediawiki/skins/Anisa@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549135

Change 549136 merged by jenkins-bot:
[mediawiki/skins/Example@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549136

Change 549139 merged by jenkins-bot:
[mediawiki/skins/Mask@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549139

Change 549140 merged by jenkins-bot:
[mediawiki/skins/Splash@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549140

Change 549155 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/Drafts@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549155

Change 549156 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/CentralLogging@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549156

Change 549157 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/GeoData@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549157

Change 549158 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/MiniInvite@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549158

Change 549159 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/NukeDPL@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549159

Change 549160 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/ParserMigration@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549160

Change 549161 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/QuizGame@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549161

Change 549162 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/ReplaceText@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549162

Change 549137 merged by jenkins-bot:
[mediawiki/skins/GreyStuff@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549137

Change 549141 merged by jenkins-bot:
[mediawiki/skins/Refreshed@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549141

Change 549165 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/SendGrid@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549165

Change 549166 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/SocialProfile@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549166

Change 549167 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/SpamDiffTool@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549167

Change 549168 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/SparkPost@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549168

Change 549169 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/StopForumSpam@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549169

Change 549170 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/Variables@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549170

Change 549180 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/TemplateStyles@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549180

Change 549181 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/Elastica@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549181

Change 549183 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/MachineVision@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549183

Umherirrender updated the task description. (Show Details)Nov 6 2019, 7:33 PM

Change 549184 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/WebAuthn@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549184

Change 549185 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/WikiSEO@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549185

Change 549186 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/SoftRedirector@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549186

Change 549187 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/OAuth2@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549187

Change 549188 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/Sofa@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549188

Change 549151 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexemeCirrusSearch@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549151

Change 549152 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549152

Change 549144 merged by jenkins-bot:
[mediawiki/extensions/PropertySuggester@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549144

Change 549147 merged by jenkins-bot:
[mediawiki/extensions/EntitySchema@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549147

Change 549157 merged by jenkins-bot:
[mediawiki/extensions/GeoData@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549157

Change 549167 merged by jenkins-bot:
[mediawiki/extensions/SpamDiffTool@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549167

Change 549165 merged by jenkins-bot:
[mediawiki/extensions/SendGrid@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549165

Change 549168 merged by jenkins-bot:
[mediawiki/extensions/SparkPost@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549168

Change 549166 merged by jenkins-bot:
[mediawiki/extensions/SocialProfile@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549166

Change 549160 merged by jenkins-bot:
[mediawiki/extensions/ParserMigration@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549160

Change 549185 merged by jenkins-bot:
[mediawiki/extensions/WikiSEO@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549185

Change 549155 merged by jenkins-bot:
[mediawiki/extensions/Drafts@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549155

Change 549156 merged by jenkins-bot:
[mediawiki/extensions/CentralLogging@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549156

Change 549158 merged by jenkins-bot:
[mediawiki/extensions/MiniInvite@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549158

Change 549159 merged by jenkins-bot:
[mediawiki/extensions/NukeDPL@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549159

Change 549170 merged by jenkins-bot:
[mediawiki/extensions/Variables@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549170

Change 549169 merged by jenkins-bot:
[mediawiki/extensions/StopForumSpam@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549169

Change 549162 merged by jenkins-bot:
[mediawiki/extensions/ReplaceText@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549162

Change 549161 merged by jenkins-bot:
[mediawiki/extensions/QuizGame@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549161

Change 549180 merged by jenkins-bot:
[mediawiki/extensions/TemplateStyles@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549180

Change 549181 merged by jenkins-bot:
[mediawiki/extensions/Elastica@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549181

Change 549184 merged by jenkins-bot:
[mediawiki/extensions/WebAuthn@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549184

Change 549183 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549183

Change 549150 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549150

Change 549149 merged by jenkins-bot:
[mediawiki/extensions/WikibaseCirrusSearch@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549149

Change 549153 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549153

Change 548329 merged by jenkins-bot:
[mediawiki/extensions/QuickSurveys@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/548329

Change 549120 merged by jenkins-bot:
[mediawiki/extensions/wikihiero@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549120

Change 549187 merged by Daimona Eaytoy:
[mediawiki/extensions/OAuth2@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549187

Change 549186 merged by Jforrester:
[mediawiki/extensions/SoftRedirector@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549186

Change 549188 merged by Jforrester:
[mediawiki/extensions/Sofa@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549188

Change 549605 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/CentralAuth@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549605

Change 549606 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/CirrusSearch@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549606

Change 549607 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/Echo@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549607

Change 549608 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/Flow@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549608

Change 549609 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/LiquidThreads@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549609

Change 549610 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/MobileFrontend@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549610

Change 549611 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/Scribunto@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549611

Umherirrender updated the task description. (Show Details)Nov 7 2019, 7:38 PM

Change 549610 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549610

Change 549605 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549605

Change 548830 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/548830

Change 549609 merged by jenkins-bot:
[mediawiki/extensions/LiquidThreads@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549609

Change 549608 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549608

Change 549607 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549607

Change 549611 merged by jenkins-bot:
[mediawiki/extensions/Scribunto@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549611

Change 549606 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/549606

Jdforrester-WMF closed this task as Resolved.Nov 26 2019, 5:28 PM
Jdforrester-WMF assigned this task to Daimona.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Congratulations!

Change 557180 had a related patch set uploaded (by Daimona Eaytoy; owner: Umherirrender):
[mediawiki/extensions/CentralNotice@wmf_deploy] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/557180

Change 557180 merged by Mepps:
[mediawiki/extensions/CentralNotice@wmf_deploy] build: Updating mediawiki/mediawiki-phan-config to 0.8.0

https://gerrit.wikimedia.org/r/557180